質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

89.12%

JenkinsにGit Pluginが表示されない

受付中

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 1,773

kuniatsu

score 136

JenkinsでGit Pluginを使用したいのですが、

Jenkins > プラグインの管理(プラグインマネージャ) > 利用可能

の欄にGit Pluginが現れません。
調べたところ、同じ状況の情報はなく、また解説しているサイトはどれも古く(2013年頃)最新の情報も少ないです。
全てのPluginが出なくなる場合の解決策は載っていたため試しましたが、Git Pluginは表示されませんでした。

プラグインの管理>高度な設定>アップデートサイト
は、http://updates.jenkins-ci.org/update-center.jsonを指定し更新をかけております。

何か情報をお持ちの方はご連絡いただけると助かります。

イメージ説明

イメージ説明

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • CHERRY

    2019/03/06 18:22

    Jenkins は、新しくインストールされたものですか?

    プラグインの管理(プラグインマネージャ) の「インストール済み」に表示されていたりしないでしょうか?

    キャンセル

  • kuniatsu

    2019/03/06 18:39

    Jenkinsは新しくインストールしたわけではなく、1年以上稼働させているものです。
    インストール済みも確認しましたがGit Pluginはありませんでした。

    キャンセル

回答 1

0

画面キャプチャーに赤字のバージョン警告のメッセージが出ていることからすると お使いの Jenkins のバージョンは 2.121 より古いと思われます。

現在の Jenkins のバージョンは、Jenkins 2.150.3(LTS) か 2.167 ですが、お使いのバージョンはいくつでしょうか?

Git Plugin のサイトをみると Minimum Jenkins requirement: 1.642.3となっています。もしかするとこの最低動作バージョンより古かったりするのでしょうか?

Jenkins のアップデート可能であれば、https://jenkins.io/download/ から Jenkins の最新版をダウンロード&インストールして、再度試してみてください。

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2019/03/06 19:53

    ご指摘ありがとうございます。
    2枚目の画像の左下の数値にが1.658となっているので、ぎりぎり届いているかなと思います。できることならアップデートせずいきたいのですが、アップデートも試してみる価値はありそうですね。粘ってダメなら対策の1つとして考えておきます。ありがとうございました。

    キャンセル

  • 2019/03/06 20:06 編集

    確かにバージョンでてますね... 気がつかなかったです。

    Git Plugin も他のプラグインを必要としているので、他のプラグインが、Jenkins の新しいバージョンを要求するのかもしれませんね。

    Jenkins 本体のアップデートが難しい状況であれば、Jenkins 1.6.58 がリリースされた当時のバージョンの Git Plugin をインストールするという選択肢もあるかもしれません。( セキュリティ的な問題もありますので、社内等の安全な場所で利用しているという前提が必要ですが... )

    Jenkins 1.658 は、 2016 年 4月リリース ( https://repo.jenkins-ci.org/releases/org/jenkins-ci/main/jenkins-war/1.658/ より) なので、同じ時期にリリースされた Git Plugin の旧バージョンであれば、インストールできるかもしれませんね。
    たとえば、 https://github.com/jenkinsci/git-plugin/releases/tag/git-2.4.3https://github.com/jenkinsci/git-plugin/releases/tag/git-2.5.0

    Git の新しい機能が使えなかったりする可能性もあるので、commit 等で調べる必要があるかもしれません。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 89.12%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる